package core

import "testing"

func TestConvertJKToKey(t *testing.T) {
	type args struct {
		jk string
	}
	tests := []struct {
		name    string
		args    args
		want    string
		wantErr bool
	}{
		{
			name: "36323334313036343130323934373732",
			args: args{
				jk: "function f(){ return '36323334313036343130323934373732';}",
			},
			want:    "6234106410294772",
			wantErr: false,
		},
		{
			name: "36373434353538393131373730353833",
			args: args{
				jk: "function f(){ return '36373434353538393131373730353833';}",
			},
			want:    "6744558911770583",
			wantErr: false,
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			got, err := convertJKToKey(tt.args.jk)
			if (err != nil) != tt.wantErr {
				t.Errorf("convertJKToKey() error = %v, wantErr %v", err, tt.wantErr)
				return
			}
			if got != tt.want {
				t.Errorf("convertJKToKey() = %v, want %v", got, tt.want)
			}
		})
	}
}
